GCLOUD_COMPUTE_ROUTERS_UPDATE-BGP-PEER(1)

NAME

gcloud compute routers update-bgp-peer - update a BGP peer on a router

SYNOPSIS

gcloud compute routers update-bgp-peer NAME --peer-name=PEER_NAME [--advertised-route-priority=ADVERTISED_ROUTE_PRIORITY] [--interface=INTERFACE] [--ip-address=IP_ADDRESS] [--peer-asn=PEER_ASN] [--peer-ip-address=PEER_IP_ADDRESS] [--region=REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute routers update-bgp-peer is used to update a BGP peer on a router.

POSITIONAL ARGUMENTS

    NAME
        The name of the router.

REQUIRED FLAGS

    --peer-name=PEER_NAME
        The name of the peer being modified.

OPTIONAL FLAGS

    --advertised-route-priority=ADVERTISED_ROUTE_PRIORITY
        The priority of routes advertised to this BGP peer. In the case where there is more than one matching route of maximum length, the routes with lowest priority value win. 0 <= priority <= 65535.

    --interface=INTERFACE
        The name of the new interface of the peer being modified.

    --ip-address=IP_ADDRESS
        The new link local address of the router for this peer.

    --peer-asn=PEER_ASN
        The new asn of the peer being modified.

    --peer-ip-address=PEER_IP_ADDRESS
        The new link local address of the peer.

    --region=REGION
        The region of the router to update. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.